Language availability

   

Track-It! 2020 Release 02 online technical documentation is also available in the following languages:

  • French
  • German
  • Portuguese (Brazil)
  • Spanish
  • Spanish (XL)

The displayed language depends on your browser language. However, you can change languages from the Language menu.

System requirements

The following hardware and software requirements are applicable for installing Track-It!:

Web browsers

The following table lists the web browsers that Track-It! supports:

Web browsersVersion
Microsoft Edge42 or later
Microsoft Internet Explorer

11 (limited support)

Note

Technicians who use Track-It! on Internet Explorer 11 might experience performance issues that require them to log out of Track-It! and log back in to clear the memory usage. BMC does not recommend using Internet Explorer 11 with Track-It! at this time.

Google Chrome75 or later
Mozilla Firefox70 or later
Safari

macOS/OS X

Resolution and connectivity details

The following table lists resolution and connectivity details for Track-It!:

Type of resolution or connectivity

Details

Recommended resolution

1366 x 768 pixels

Network connectivity

512 KBPS or higher

Application Server hardware requirements

The following table lists Application Server hardware requirements for Track-It!:

ComponentHardware requirement
Computer and processor1 CPU with minimum 2 GHz - 4 core with 2 MB cache
Memory8 GB
Hard disk

100 GB

Note

The initial installation might require up to 2 GB of free space to extract all installation files and to run the application.

Software requirements

The following table lists software requirements for Track-It!:

ComponentSoftware requirement

Operating system

  • Windows Server 2019
  • Windows Server 2016
  • Windows Server 2012
  • Windows Server 2012 R2 64-bit

Note

Windows Server 2008 R2 and earlier versions have been deprecated.

Web server

  • IIS 10 Windows 2019 Server
  • IIS 10 Windows 2016 64-bit Web server
  • IIS 8.5 Windows 2012 R2 64-bit Web server
  • IIS 8.0 Windows 2012 64-bit Web server

Notes

  • In all 64-bit versions of Windows, IIS must be configured to support the 32-bit worker processes.
  • Do not install Track-It! Web on a Domain Controller.
  • If the server on which Track-It! is installed is running on a locale other than EN-US, the server must have the required language pack installed. The local computer settings does not impact the date format. For more information, see Language information.
  • BMC recommends that you use SSL certificates for secure data transfers.

Other

  • If the following softwares are not already installed, they are installed to support Track-It! functionality:
    • Microsoft .NET Framework 4.7.2
    • Microsoft Visual C++ 2017 Redistributable

    • Microsoft ODBC Driver 17 for SQL Server

    • Microsoft OLE DB Driver 18 for SQL Server

  • BMC Client Management 12.9 (2020 Release 02)

  • BMC Client Management 12.8

    Warning

    Track-It! 2020 Release 01 supports BMC Client Management 12.8 only. BMC recommends that you do not use a newer version of BMC Client Management with this release of Track-It!. Using a newer version of BMC Client Management might cause portions of the system to stop working and can potentially result in complete loss of functionality in certain areas which might not be easily recoverable.

Databases

The following table lists databases that Track-It! supports:

DatabaseVersion
Microsoft SQL Server
  • SQL 2019 and its service packs
  • SQL 2017 and its service packs
  • SQL 2016 (Service Pack 2)
  • SQL 2014 (Service Pack 3)
  • SQL 2012 (Service Pack 4)
Microsoft SQL Express
  • SQL Express 2019 with Advanced Services
  • SQL Express 2017 with Advanced Services
  • SQL Express 2016 with Advanced Services
  • SQL Express 2014 with Advanced Services
  • SQL Express 2012 with Advanced Services

Notes

  • The Full Text search feature is available only with Advanced Services variant of SQL Server and SQL Express.
  • SQL Express 2008 R2 and earlier versions have been deprecated.
  • SQL Server 2008 R2 and earlier versions have been deprecated.

Security

Track-It! supports Transport Layer Security (TLS) 1.2 database connections by utilizing SQL Server drivers, which are automatically installed during installation.

However, your edition of SQL Server might not provide TLS 1.2 connections by default. The Microsoft Knowledge Base article TLS 1.2 support for Microsoft SQL Server  lists the various SQL Server editions and their support for TLS 1.2.

BMC recommends that you follow Microsoft's guidance when planning your TLS 1.2 connection to your SQL Server.

Note

If you are planning to enable an integration between Track-It! and BCM, please note that BCM does not support TLS 1.2 out-of-the-box. If you want to configure BCM with a TLS 1.2 enabled SQL Server, follow Knowledge Article 166431 .

The following table describes the required TLS versions that must be running on the Track-It! server, SQL server, and email server in order for Track-It! to function properly: 

Security protocolVersion
TLS
  • TLS 1.0 Support

    Note

    TLS 1.0 is supported on the Track-It! Application.

  • TLS 1.2 Support

    Note

    TLS 1.2 is supported, if it is enabled, on both the Application Server and the Exchange Server.


Was this page helpful? Yes No Submitting... Thank you

Comments